AutoCAD Inventor :: Intersection Point Between Cylindrical Curve And Faces In Body

Feb 7, 2013

I want to find the intersection point between a cylindrical curve and faces in a body. I have the start point an start vector and a rotational velocity. With this values it should be possible to create this cylindrical curve.

Is there a function in inventor which I can use?

Currently I am using the function "FindUsingRay". But I thing that there is only the possibility to fire a linear function through the body.

Today I found the command "FindUsingVector":

Sub FindUsingVector(OriginPoint As Point, Direction As UnitVector, ObjectTypes As SelectionFilterEnum(), ByRef UseCylinder As [defaultvalue(-1)] Boolean, ByRef ProximityTolerance As [optional] VARIANT, ByRef VisibleObjectsOnly As [defaultvalue(-1)] Boolean, ByRef LocationPoints As [optional] VARIANT,

I did not find any information in the "Autodesk Programming help". what is the difference between this both functions?

Is the argument "UseCylinder" for a switch into cylindrical coordinate system?

View 7 Replies


ADVERTISEMENT

AutoCAD .NET :: Why Intersection Point Does Not Lie On The Curve

Aug 4, 2013

I find intersection of two curves with interop
 
Dim Zinters As Object = DuvarObj.IntersectWith(MainObj, AcExtendOption.acExtendNone)
 
then pass the intersection points pt1 and pt2 to managed code to get length of the curve between two intersection points , but I realized that sometimes decimal numbers maybe 10th after comma is different than the curve's start or end points. And so the code below throws error, since point pt1 or pt2 is not exactly on the curve, but they are the intersection points excatly.

What can I do?
 
Dim dist1 As Double = ent.GetDistanceAtParameter(ent.GetParameterAtPoint(pt1))Dim dist2 As Double = ent.GetDistanceAtParameter(ent.GetParameterAtPoint(pt2))
 
Windows 7 (x64)
AutoCAD 2012 (x64)

View 4 Replies View Related

AutoCAD Inventor :: Extrude / Revolve On Given Angle Around Cylindrical Body

Dec 20, 2012

I am really struggling in trying to revolve around cylindrical body on a specified angle. I understand the degrees of rotation angle, but i am looking to revolve or extrude a certain shape for the length of the shaft.  Like trying to make a coil or a set of threads.

I have tried to use sweep but sweep doesn't work with two sweep lines.

View 4 Replies View Related

AutoCAD Inventor :: Emboss Command - Only Planar / Cylindrical Or Conical Faces Supported

Oct 3, 2013

In Solidworks I can emboss a sketch into a 'wavy' surface without difficulty.

If I try to do the same thing with Inventors 'Emboss' command It fails with "Only planar, cylindrical or conical faces are supported."

Surely there must be a way to achieve the same effect as in the first illustration, in Inventor ? Am I missing something obvious?

View 9 Replies View Related

AutoCAD Inventor :: Multi Body - Find Both Faces Which Divide One Part Into Two

Sep 12, 2013

I have a multi-body part and want to find the both faces which divide the bodys. The first face I pick with the "SelectSet" command.The second one the program should find on its own.

If I pick a boundary face, it should give an error.

One attempt is to create a point on the first face and use the "LocateUsingPoint". But is there a more elegant way for this task?

(Unfortunately there are little examples of the topic multi-body parts.)

View 1 Replies View Related

AutoCAD Inventor :: Intersection Curve Sweep End Profiles?

Jan 7, 2012

I am practicing modelling 3D sweeps using an intersection curve, and tried to insert a swept cut on the attached model, but the ends are not circular.  I assume this is because the plane which I drew the sweep profile on is not on the top face.  Is there an easy way to rectify this and create the semicircular channel in the ends?

View 3 Replies View Related

AutoCAD Inventor :: Sweep Out Curve Section Between Two Faces Of Different Sizes

Jan 10, 2014

I have two faces of different size and am trying to sweep out a curve section between the two. But since the two faces are of different size it only follows the path with the original face selected. 

View 4 Replies View Related

AutoCAD Inventor :: Dimension At An Intersection Point?

Oct 13, 2011

How do we create dimension at an intersection point between arc and line?see attached picture. I need to create dimension as red line.

View 3 Replies View Related

AutoCAD Inventor :: Find Intersection Point Between Line Segment And Workplane

Aug 31, 2011

I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.

To determine where, I verify if a line segment pass through the wall (XY Plane).

But I get an error with the command: IntersectWithLine

Here's my

 Public Function IntersectionPoint(ByVal app As Inventor.Application,
ByVal wp As Inventor.WorkPlane) As Inventor.Point
Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry
Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X,
[Code] ......

View 2 Replies View Related

AutoCAD Inventor :: How To Click On Two Lines In A Part Sketch And Get There Intersection Point Using VBA

Oct 29, 2013

In assembly mode, how can I click on two lines in a part sketch and get there intersection point using VBA?

View 3 Replies View Related

AutoCAD Inventor :: Find Intersection Point Between LineSegment2D / DrawingCurveSegment Object

Sep 14, 2012

I'm attempting to find the intersection point between a LineSegment2d Object and a DrawingCurveSegment object unsuccessfully.

View 1 Replies View Related

Photoshop :: Matching Colour Of Faces With A Different Body

Jan 6, 2004

I make a 30-page jokey thing where I put my mates (and their girlfriends - those with a good sense of humour that is !) faces onto silly photos for a bit of seasonal cheer. Now, it looks OK, but obviously, sometimes the flesh tone isnt quite right. I know I can use the eye dropper, but it looks so obvious. Is there a way of matching tones throughout ? It doesnt matter that much obviously, for what its for, but it would be nice to make em look even better for next year !

View 1 Replies View Related

AutoCAD Inventor :: Lofting / Extruding To A Point Along A Curve

Jul 15, 2012

Coming from Sketch up to real big boy tools. I watched the tutorial videos and tried poking around a bit for this specific answer but came up a bit short.

What I'm trying to do is loft a face to a point. Easy enough. I've got my point established on an offset work plane, and I can just loft to that, however, I get nothing but straight lines. (First attachment)

An example of the ideal outcome in SketchUp is the second attachment.

I'm having the most difficulty trying to draw the curves along which I want the face to be lofted because, even as I sketch along my 2D plane, I can't snap the endpoints of my arcs to the endpoints of the face (or the point to which they'll all connect).

View 5 Replies View Related

Photoshop :: Edit Photo To Upload Faces To Body

Aug 31, 2013

i am trying to edit a photo from an image we took at a shoot and want to upload our faces to the body.

View 3 Replies View Related

AutoCAD Civil 3D :: Intersection Of 2 Corridors On Curve

Dec 26, 2013

I have a mainline corridor which is intersecting with a side road corridor that is curving towards the mainline. After the PT of the curve, the two alignments are parallel and I am using an offset assembly here for the sections. What is the best way to handle the area where the two corridors are coming together. As far as I've been able to tell, I cannot use an offset assembly through the curve. There will be a ditch between the two that needs to be shown someway or another. I've attached a screen shot.

View 5 Replies View Related

AutoCAD Inventor :: How To Export Body From Multi-body Part

Sep 12, 2013

Can I export a solid from a multi body part to an other part file. how?

View 1 Replies View Related

AutoCAD Inventor :: How To Convert Surface Body In Solid Body

Mar 8, 2012

How can I convert a surface body in a solid body?

I attach my file.

View 3 Replies View Related

AutoCAD .NET :: Why Only 1 Intersection Point Instead Of 2

Aug 24, 2013

When I check with DIST command both the ends of the line are with distance 0.00000000 to the region. But when I apply intersectwith method to them I get only 1 intersection. This is a sample only, I face this issue regularly.
 
Private Sub Button31_Click(sender As Object, e As EventArgs) Handles Button31.Click Dim R1 As AcadEntity = Nothing, R2 As AcadEntity = Nothing Ut.GetEntity(R1, "seç") Ut.GetEntity(R2, "seç") Dim inters As Object = R1.IntersectWith(R2, AcExtendOption.acExtendNone) End Subor Dim entMain As Autodesk.AutoCAD.DatabaseServices.Entity = tr.GetObject(id, Autodesk.AutoCAD.DatabaseServices.OpenMode.ForRead) 'Setup 3d plane and point collection Dim myPlaneWCS As Plane = New Plane(New Point3d(0, 0, 0), New Vector3d(0, 0, 1)) Dim myIntPntCol As Point3dCollection = New Point3dCollection() Dim myintptr01 As IntPtr = New IntPtr() Dim myintptr02 As IntPtr = New IntPtr() 'Get intersecting point collection entMain.IntersectWith(ent, Intersect.OnBothOperands, myPlaneWCS, myIntPntCol, myintptr01, myintptr02)
 
Windows 7 (x64)
AutoCAD 2012 (x64)

View 1 Replies View Related

AutoCAD Inventor :: Splitting Curved Faces Into Two Faces?

Jan 11, 2013

i got Inventor recently, and i've been working on a model of a longboard just to teach myself how to use the tools in Inventor. right now i'm trying to color areas for the griptape pattern so i drew the 2D pattern and projected it onto the 3D model of the longboard. but when i tried to split the faces of the model along the projected pattern only a few of the projected lines split the faces. for other faces i kept getting these errors: 

Create parting line failed Crane.ipt: Errors occurred during update Split11: Could not build this Split The attempted operation did not produce a meaningful result. Try with different inputs.

View 1 Replies View Related

AutoCAD 2010 :: Point Of Intersection

May 9, 2013

Isn't there a command that allows you to pick 2 lines and snap to the point of intersection when dimensioning an object with a fillet/chamfer? Typically I o-track it with apparent intersection with no issues, but its a little more difficult when your working with sloped lines, tracking doesnt like to follow angled lines. (Maybe its inventor that I'm think of that can do this?)

View 3 Replies View Related

AutoCAD 2010 :: Can't Snap To Intersection Point

Jul 10, 2012

Form Autocad 2000 to 2012, there is always with this problem. It happens sometimes in object snap, it does not work to snap a intersection point (two crossed lines) when drawing a line or arc or others. For sure, these two lines are in the same plan and can be filleted or chamfered. So I turned on the Apparent intersection, it works with apparent intersection point, I am not sure if this apparent intersection will cause other problem. I am working on pure 2-D drawing, do not want to get any 3D objects inside the drawing. 

View 3 Replies View Related

AutoCAD Civil 3D :: Point Of Intersection Alignment Report?

Jul 6, 2012

I want to generate Civil 3D point of intersection alignment report including following columes.

PI Row station

Delta Angle

PI Includead Angle 

Is this possible?

AutoCAD Civil 3D 2012 SP 2

View 1 Replies View Related

AutoCad :: Zoom Intersection Point Of Lines And Circle

Apr 7, 2013

I Posted This problem twice but it doesn't showed in the forum. I don't know why, whatever, My problem is making Array with a circle and a line[same as to radius]. When i use array between them to create 9 more lines, some lines are becomes bigger then the original line. why this happen? I attach a file to be understand clearly. Zoom the intersection point of lines and the circle.

View 3 Replies View Related

AutoCAD .NET :: Selecting Lines Around Intersection Point With Reference Line?

Sep 17, 2011

Is it possible to select lines (maybe up to 6 lines) around an intersection point  with a reference line. There is one intersection point and the lines are around it. And also, both the intersecting lines are in different layers. 

How to get the ObjectARX's ArxDbg tool working on autocad 2012. ObjectARX 2010 sample project fails to open in VS2010 express.

View 4 Replies View Related

AutoCAD Civil 3D :: Projecting Objects To Profile View And Showing Point Of Intersection

Nov 11, 2013

Say I'm projecting some 3D polylines to a profile view I have, and the 3D polylines cross the alignment defining the profile view. Is there a way to format the projections such that the point of intersection is identified, and that the points will be updated if I change either the alignment or the 3D polylines?

View 1 Replies View Related

AutoCAD Inventor :: Transition On Cylindrical Backplate

Nov 27, 2013

Is it possible to create a transition when the backplate shown in the picture is a cylinder?

I have tried several options, with 3Dpaths both nothing worked so far.

Inventor 2014 sp1 | Vault basic 2014 | HP Elitebook 8670W | win7 64b | 8Gb | GMT +1

View 9 Replies View Related

AutoCAD Inventor :: Model Section Of Rod With Cylindrical End

Jan 8, 2013

I need to model up a length of rod with a cylindrical end with a hole in it. The cylindrical end needs to be flattened slightly where the rod meets it. How to do this ? See attached picture.

Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)

View 2 Replies View Related

AutoCAD Inventor :: Contact Between Cylindrical Cam And Actuator

Oct 25, 2012

i  drew a cylindrical cam using the inventor tool then i also drew the actuator ( a simply plate rounded on top) but when i add the contact tangency link between the two surfaces and i move  the cam , the two objects interpenetrate!

i'm using inventor professional 2012

View 5 Replies View Related

AutoCAD Inventor :: How To Construct Cylindrical Object

Jul 3, 2013

I need to drawing something similar to the attached image on either side of a "U" shaped rod.

The "U" shape is drawn using a sweep of a circle (the hatched section on the atatched image illustrates).

I just can't fathom how to draw the solid at the top oneiter side.

I've been trying to add a plane at an angle, then draw a circle & try to sweep that for each half of the "u", but after a few hours, total fail

View 5 Replies View Related

AutoCAD Inventor :: Measure Length Of Cylindrical Face?

Jul 11, 2011

How can i get the length or diameter of a cylindrical face by selecting the face as shown in the attached picture.

View 4 Replies View Related

AutoCAD Inventor :: Thinning Of Cylindrical Objects After Simulation

Nov 26, 2013

Is it possible to show the deformed nature of a shaft  after loading along its axis and simulation of the part. If you take as an example a rod of Plasticine and stretch it you will see the center section thinning,the same laws apply to a rod of steel during stretching,why is it that this is not shown during the

simulation of the part,is it mesh settings or something that is not built into the analysis. When one applies loadings to sheet metal the deformation is clearly shown.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved